#version 330

uniform int ClipPlaneNum;
uniform vec4 ClipPlane[4];

in vec3 GSWorldPos;
in vec4 GSColor;

out vec4 OutColor;

// constant
void main(void)
{
	for(int i=0; i<ClipPlaneNum; i++){
		if(dot(ClipPlane[i].xyz, GSWorldPos) + ClipPlane[i].w < 0)
			discard;
	}
	OutColor = GSColor;
}

